Package ru.bgcrm.dao.message

# Class MessageTypeNote

java.lang.Object
org.bgerp.model.base.Id
org.bgerp.model.base.IdTitle
ru.bgcrm.dao.message.MessageType
ru.bgcrm.dao.message.MessageTypeNote

All Implemented Interfaces:
  `Serializable`, `Id<Integer>`, `IdTitle<Integer>`, `Title`

public class MessageTypeNote extends MessageType

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.dao.message.MessageType

  `configMap, setup, unprocessedMessagesCount`

  ### Fields inherited from class org.bgerp.model.base.IdTitle

  `title`

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageTypeNote(Setup setup, int id, ConfigMap config)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Message`
  `getAnswerMessage(Message original)`
  `String`
  `getEditorJsp()`
  Plugin's endpoint for process message editor.
  `String`
  `getMessageDescription(String lang, Message message)`
  Generates short message description.
  `String`
  `getProcessMessageHeaderColor(Message message)`
  `boolean`
  `isAnswerSupport()`
  `boolean`
  `isEditable(Message message)`
  Can a message be edited
  `boolean`
  `isProcessChangeSupport()`
  `boolean`
  `isReadable()`
  `boolean`
  `isRemovable(Message message)`
  `void`
  `messageDelete(ConnectionSet conSet, String... messageIds)`
  Deletes both processed and unprocessed messages.
  `void`
  `updateMessage(Connection con, DynActionForm form, Message message)`

  ### Methods inherited from class ru.bgcrm.dao.message.MessageType

  `answerText, getConfigMap, getContactSaver, getHeaderJsp, getSearchMap, getUnprocessedMessagesCount, getViewerJsp, isCheckEmptySubject, isReading, messageLinkedToProcess, newMessageGet, newMessageList, newMessageLoad, process, processMessageAttaches, searchObjectsForLink`

  ### Methods inherited from class org.bgerp.model.base.IdTitle

  `getTitle, setTitle, toString, unknown`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bgerp.model.base.iface.Id

  `getId`

- ## Constructor Details

  - ### MessageTypeNote

    public MessageTypeNote(Setup setup, int id, ConfigMap config)

- ## Method Details

  - ### isAnswerSupport

    public boolean isAnswerSupport()
    Overrides:
      `isAnswerSupport` in class `MessageType`

  - ### getAnswerMessage

    public Message getAnswerMessage(Message original)
    Overrides:
      `getAnswerMessage` in class `MessageType`

  - ### isEditable

    public boolean isEditable(Message message)
    Description copied from class: `MessageType`
    Can a message be edited
    Overrides:
      `isEditable` in class `MessageType`
    Parameters:
      `message` - the message, `null` for adding a message of the type
    Returns:

  - ### isRemovable

    public boolean isRemovable(Message message)
    Overrides:
      `isRemovable` in class `MessageType`

  - ### isReadable

    public boolean isReadable()
    Overrides:
      `isReadable` in class `MessageType`
    Returns:
      possibility to mark message as read/unread using kernel logic

  - ### isProcessChangeSupport

    public boolean isProcessChangeSupport()
    Overrides:
      `isProcessChangeSupport` in class `MessageType`

  - ### getProcessMessageHeaderColor

    public String getProcessMessageHeaderColor(Message message)
    Overrides:
      `getProcessMessageHeaderColor` in class `MessageType`

  - ### getEditorJsp

    public String getEditorJsp()
    Description copied from class: `MessageType`
    Plugin's endpoint for process message editor.
    Overrides:
      `getEditorJsp` in class `MessageType`
    Returns:

  - ### getMessageDescription

    public String getMessageDescription(String lang, Message message)
    Description copied from class: `MessageType`
    Generates short message description.
    Overrides:
      `getMessageDescription` in class `MessageType`
    Parameters:
      `lang` - language.
      `message` - message with the type.
    Returns:

  - ### messageDelete

    public void messageDelete(ConnectionSet conSet, String... messageIds) throws Exception
    Description copied from class: `MessageType`
    Deletes both processed and unprocessed messages.
    Overrides:
      `messageDelete` in class `MessageType`
    Parameters:
      `conSet` -
      `messageIds` - set with int DB IDs or type related string IDs.
    Throws:
      `Exception`

  - ### updateMessage

    public void updateMessage(Connection con, DynActionForm form, Message message) throws Exception
    Specified by:
      `updateMessage` in class `MessageType`
    Throws:
      `Exception`